## XdgAppRemote XdgAppRemote |

## Functions

GFile * | xdg_app_remote_get_appstream_dir ()
GFile * | xdg_app_remote_get_appstream_timestamp ()
gboolean | xdg_app_remote_get_gpg_verify ()
const char * | xdg_app_remote_get_name ()
gboolean | xdg_app_remote_get_noenumerate ()
int | xdg_app_remote_get_prio ()
char * | xdg_app_remote_get_title ()
GType | xdg_app_remote_get_type ()
char * | xdg_app_remote_get_url ()

## Properties

gchar * | name | Read / Write

## Types and Values

struct | XdgAppRemote
| XdgAppRemoteClass

## Object Hierarchy

        GObject
        ╰── XdgAppRemote

## Description

## Functions

### xdg_app_remote_get_appstream_dir ()

    GFile *
    xdg_app_remote_get_appstream_dir (XdgAppRemote *self,
                                      const char *arch);

Returns the directory where this remote will store locally cached appstream information for the specified `arch` .

#### Parameters

self | a XdgAppRemote |
arch | which architecture to fetch (default: current architecture). | [nullable]

#### Returns

an GFile.

[transfer full]

### xdg_app_remote_get_appstream_timestamp ()

    GFile *
    xdg_app_remote_get_appstream_timestamp
                                   (XdgAppRemote *self,
                                    const char *arch);

Returns the timestamp file that will be updated whenever the appstream information has been updated (or tried to update) for the specified `arch` .

#### Parameters

self | a XdgAppRemote |
arch | which architecture to fetch (default: current architecture). | [nullable]

#### Returns

an GFile.

[transfer full]

### xdg_app_remote_get_gpg_verify ()

    gboolean
    xdg_app_remote_get_gpg_verify (XdgAppRemote *self);

### xdg_app_remote_get_name ()

    const char *
    xdg_app_remote_get_name (XdgAppRemote *self);

### xdg_app_remote_get_noenumerate ()

    gboolean
    xdg_app_remote_get_noenumerate (XdgAppRemote *self);

### xdg_app_remote_get_prio ()

    int
    xdg_app_remote_get_prio (XdgAppRemote *self);

### xdg_app_remote_get_title ()

    char *
    xdg_app_remote_get_title (XdgAppRemote *self);

### xdg_app_remote_get_type ()

    GType
    xdg_app_remote_get_type (void);

### xdg_app_remote_get_url ()

    char *
    xdg_app_remote_get_url (XdgAppRemote *self);

## Types and Values

### struct XdgAppRemote

    struct XdgAppRemote;

### XdgAppRemoteClass

    typedef struct {
      GObjectClass parent_class;
    } XdgAppRemoteClass;

## Property Details

### The `“name”` property

      “name”                     gchar *

Flags: Read / Write

Default value: NULL